VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsExample"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'**********************************************
'This .dll shows you how to implement object construction in Windows 2000
'All COM+ servers that use object construction must have a reference to
'the COM+ Services Type Library and Implement the IObjectConstruct Interface
'and the IObjectConstructString Interface

'For instructions how to configure Component Services to use Object Construction,
'refer to the readme file
'********************************************

Option Explicit
Implements IObjectConstruct
Implements IObjectConstructString
Private psConstructString As String


Private Sub IObjectConstruct_Construct(ByVal pCtorObj As Object)
'this is called by COM+.  The pCtorObj contains a pointer
'to an IObjectContsructString that contains the construct
'string
On Error GoTo errhandler

Dim iObjCString As IObjectConstructString
Dim iFileNumber As Integer
Dim sFile As String

iFileNumber = FreeFile
Set iObjCString = pCtorObj
'Save construct string to file:
'In real life, take some kind of action (e.g., open
'database connection based on a supplied connection string)

psConstructString = iObjCString.ConstructString
sFile = App.Path
If Right(sFile, 1) <> "\" Then sFile = sFile & "\"
sFile = sFile & "ObjConstruct.txt"
Open sFile For Append As #iFileNumber
Print #iFileNumber, "The system's instructions were as follows: " & psConstructString
Close #iFileNumber
Exit Sub
errhandler:
'if there's an error log it to the event log
App.LogEvent "Error " & Err.Number & " in " & Err.Source & ": " & Err.Description

End Sub

Private Property Get IObjectConstructString_ConstructString() As String
'return the construct string
IObjectConstructString_ConstructString = psConstructString

End Property
